<template>
  <div class="wrapper">
    <div class="container-fuild">
      <div id="headTitle">
        <Logo />
        <h1 id="title" _msttexthash="48503" _msthash="2">{{ i18ntext.lngText('sl-det') }}</h1>
      </div>
      <Header />
      <ol id="topicPath">
        <li style="margin-left:330px">
          <router-link to="menustock"><a href="dashbaord">
              <font style="vertical-align: inherit">
                <font style="vertical-align: inherit">{{ i18ntext.lngText('sl-det') }}</font>
              </font>
            </a>
          </router-link>
        </li>
      </ol>
    </div>
    <div class="search-box">
      <div id="product">
        <!--#contents -->

        <div class="search-box mb-4">
          <ul class="dropdown-menu">
            <li>
              <a @click="getproductboom()" class="dropdown-item btn btn-primary" data-bs-toggle="modal"
                data-bs-target="#staticboomId" tabindex="10028">
                <i class="fa-solid fa-circle-b"></i> Boom Product
              </a>
            </li>
            <li>
              <a @click="getsuppliyerview()" class="dropdown-item btn btn-primary" data-bs-toggle="modal"
                data-bs-target="#staticboomId" tabindex="10028">
                <i class="fa fa-print" aria-hidden="true"></i>
                Print
              </a>
            </li>
            <li>
              <a class="dropdown-item" data-bs-toggle="modal" data-bs-target="#staticBackdropss" tabindex="10028"
                href="#">
                <i class="fas fa-file-excel"></i> To Excel
              </a>
            </li>
            <li>
              <a class="dropdown-item btn btn-primary" data-bs-toggle="modal" data-bs-target="#staticBackdropss"
                tabindex="10028">
                <i class="fas fa-edit"></i> Release
              </a>
            </li>
          </ul>
          <div class="search-title" style="padding-left: 2rem;">
            <router-link to="/pos">
                  <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                    <i class="fa-sharp fa fa-arrow-left"></i>
                    {{i18ntext.lngText('POS')}}
                  </a>
              </router-link>
            <a id="menu-1" class="btn-radius bt-pn btn btn-sm" data-bs-toggle="dropdown" aria-expanded="false"
              style="float: right; color: #f8f5b4; margin-top: 0;margin-right: 0;margin-left: auto;">
              <i class="fas fa-plus"></i>
              {{ i18ntext.lngText('menu') }}
            </a>
            <ul class="dropdown-menu">
          
              <li>
                <a  class="dropdown-item btn btn-primary" data-bs-toggle="modal"
                  data-bs-target="#staticboomId" tabindex="10028">
                  <i class="fa fa-print" aria-hidden="true"></i>
                  {{ i18ntext.lngText('print') }}
                </a>
              </li>
            </ul>
          </div>
          <input autocomplete="off" id="search" name="search" type="hidden" value="1" />
          <div class="box">
            <table width="100%" border="0" cellpadding="0" cellspacing="0" class="table table-striped br-table">
              <thead>
                <tr class="header-table">
                  <th colspan="9"><input autocomplete="off" name="search" @input="isEmpty()" v-model="search.name" @change="myclear('name')"
                      :placeholder="i18ntext.lngText('emId')+','+i18ntext.lngText('employee_name')+','+ i18ntext.lngText('description')+','+i18ntext.lngText('amount')+','+i18ntext.lngText('exchangerate')"
                      type="search" id="search" class="text" style="width: 100%;"></th>
                  <th class="exp">
                    <div><span><input autocomplete="off" id="search" name="search" type="date" class="text" placeholder="Search"
                          v-model="search.start" @change="myclear('start')"
                          style="margin-right: 0px !important; width: 85px;"></span><span
                        style="margin: 0px 3px;">{{ i18ntext.lngText('to') }}</span><span><input autocomplete="off" id="search" name="search" type="date" class="text"
                          v-model="search.end" @change="myclear('end')" placeholder="Search"
                          style="margin-right: 0px !important; width: 85px;"></span></div>
                  </th>
                  <th>
                    <div class="button type2" id="uniform-undefined"><span @click="getsale()"><input autocomplete="off" type="button"
                          class="type2" tabindex="10025" value="display" style="opacity: 0;"><i class="fa fa-search"
                          aria-hidden="true"></i>{{ i18ntext.lngText('search') }}</span></div>
                  </th>
                </tr>
                <tr class="header-table">
                  <th style="width: 3%;">{{ i18ntext.lngText('no') }}</th>
                  <th>{{ i18ntext.lngText('sl-user') }}</th>
                  <th>{{ i18ntext.lngText('type') }}</th>
                  <th>{{ i18ntext.lngText('payment_method') }}</th>
                  <th>{{ i18ntext.lngText('exchangerate') }}</th>
                  <th>{{ i18ntext.lngText('discount') }}</th>
                  <th>{{ i18ntext.lngText('amount') }}(KH)</th>
                  <th>{{ i18ntext.lngText('amount') }}(USD)</th>
                  <th>{{ i18ntext.lngText('total') }}</th>
                  <th style="width: 5%;">{{ i18ntext.lngText('date') }}</th>
                  <th></th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="(item, index) in Categories.data">
                  <td>{{ index + 1 }}</td>
                  <td>{{ item.user_name }}</td>
                  <td>{{ item.document_type }}</td>
                  <td>{{ item.paymeny_method }}</td>
                  <td>
                    <div class="d-flex justify-content-end">
                      {{ Number(item.exchane_rate).toLocaleString() }} ៛
                    </div>
                  </td>
                  <td>
                    <div class="d-flex justify-content-end">
                      {{ Number(item.discount).toLocaleString() }} %
                    </div>
                  </td>
                  <td>
                    <div class="d-flex justify-content-end">
                      {{ Number(item.total_amount).toLocaleString() }} ៛
                    </div>
                  </td>
                  <td>
                    <div class="d-flex justify-content-end">
                      {{ Number(item.total_amount_usd).toLocaleString() }} $
                    </div>
                  </td>
                  <td>
                    <div class="d-flex justify-content-end">
                      {{ Number(item.amoun).toLocaleString() }}
                      <span style="margin-left: 2px;" v-if="this.form.curency_code == 'USD'"> $ </span>
                      <span style="margin-left: 2px;" v-else> ៛ </span>
                    </div>
                  </td>
                  <td>
                    <div class="d-flex justify-content-end">
                      {{ formatdatetime(item.created_at) }}
                    </div>
                  </td>
                  <td style="display: flex;justify-content: center;">
                    <div class="button type2" id="uniform-undefined"><span @click="saledetail(item)"><input autocomplete="off" type="button"
                          class="type2" tabindex="10025" value="display" style="opacity: 0;">{{ i18ntext.lngText('detail') }}</span>
                    </div>
                  </td>
                </tr>
              </tbody>
            </table>
            <div class="box-footer-pagination">
              <pagination :limit="2" :data="Categories" @pagination-change-page="getsale" />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade ui-modal" id="staticboomId" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="staticboomId" aria-hidden="true">
    <div class="modal-dialog" style="max-width: 85% !important;">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel"><i class="fa fa-print" aria-hidden="true"></i>
            {{ i18ntext.lngText('print') }}</h5>
          <span class="ui-icon ui-icon-closethick" data-bs-dismiss="modal" aria-label="Close"></span>
        </div>
        <div class="ui-dialog-content"  style="height: 100vh !important;">
          <div class="card">
            <div class="card-body">
              <div class="mt-3 print-size">
                <div style="padding:0 50px 0 50px; background-color: #fff;" id="purchaseorder">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 class="title-purchase">{{ i18ntext.lngText('sl-detail-report') }}</h3>
                    </div>
                  </div>
                  <div class="col-container">
                    <div class="col1" style="width: 55%;">
                      <p class=" p-bg font-size p-pad">{{ i18ntext.lngText('company') }}</p>
                      <p class="p-mg info-pad"><span id="bold">{{ i18ntext.lngText('name') }} :</span> <span id="fon">{{ company.company_name
                      }}</span></p>
                      <p class="p-mg  info-pad"><span id="bold">{{ i18ntext.lngText('phonenumber') }} :</span> <span id="fon">{{
                        company.company_Phone }}</span></p>
                      <p class="p-mg info-pad"><span id="bold">{{ i18ntext.lngText('email') }} :</span> <span id="fon">{{
                        company.company_Email }}</span></p>
                      <p class="p-mg info-pad"><span id="bold">{{ i18ntext.lngText('address') }} :</span> <span id="fon">{{ company.company_Address
                      }}</span></p>
                    </div>
                    <div class="col2">
                      <p class="text-center p-bg font-size p-pad">{{ i18ntext.lngText('date') }}</p>
                      <p class="text-center p-mg" id="fon">{{ dateformart }}</p>
                      <p class="text-center p-bg font-size p-pad">{{ i18ntext.lngText('report_no') }}</p>
                      <p class="text-center p-mg"></p>
                    </div>
                  </div>
                  <div class=" my-2  justify-content-center">
                    <div class="" v-for="saleDetail in saleDetails">
                      <ul class="d-flex test-ul">
                        <li style="width: 26%;">{{ i18ntext.lngText('invoice_no') }} : <span class="li-span">{{ saleDetail.element.document_no }}</span></li>
                        <li style="width: 45%;">{{ i18ntext.lngText('doc_type') }} : <span class="li-span">{{ saleDetail.element.document_type }}</span></li>
                        <li style="width: 29%;display: flex;justify-content: end;">{{ i18ntext.lngText('total_amount') }} : <span class="li-span">{{ Number(saleDetail.element.total_amount).toLocaleString() }} ៛</span></li>
                      </ul>
                      <table>
                        <thead>
                          <tr class="test-table">
                            <th style="width: 10%;color: #1c1c1c;font-weight: 450;">{{ i18ntext.lngText('no') }}</th>
                            <th style="width: 25%;color: #1c1c1c;font-weight: 450;">{{ i18ntext.lngText('product_no') }}</th>
                            <th style="width: 25%;color: #1c1c1c;font-weight: 450;">{{ i18ntext.lngText('description') }}</th>
                            <th style="width: 15%;color: #1c1c1c;font-weight: 450;">{{ i18ntext.lngText('unittype') }}</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr class="test-table-tr" v-for="(item,index) in saleDetail.items">
                            <td style="width: 10%;font-size: 14px;">{{ index + 1 }}</td>
                            <td style="width: 25%;font-size: 14px;">{{ item.document_no }}</td>
                            <td style="width: 25%;font-size: 14px;">{{ item.description }}</td>
                            <td style="width: 15%;font-size: 14px;">{{ item.unit_code }}</td>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                  </div>
                  <hr>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button v-print="'#purchaseorder'" class="btn-purchase btn-light text-capitalize border-0">
            <i class="fa fa-print text-primary"></i> {{ i18ntext.lngText('print') }}
          </button>
        </div>
      </div>
    </div>
  </div>
  <!-- detail sale  -->
  <div class="modal fade ui-modal" id="closeshift" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="staticBackdropss" aria-hidden="true">
    <div class="modal-dialog open-form" id="nonbackgroundboom">
      <div class="modal-content ui-dialog" style="height: 565px !important;">
        <div class="modal-header">
          <h5 class="modal-title" id="staticBackdropLabel">{{ i18ntext.lngText('sl-det') }}</h5>
          <span class="ui-icon ui-icon-closethick" data-bs-dismiss="modal" aria-label="Close"></span>
        </div>
        <div style="background: #fff; overflow: scroll">
          <div>
            <div id="menu" style="padding: 0 40px; margin-bottom: 20px; max-height: 500px;">
              <h4 class="text-center open-h4">{{ i18ntext.lngText('sl-det') }}</h4>
              <div class="right-path-line shift-line"></div>
              <div class="right-path" style="width: 100%;">
                <p>{{ i18ntext.lngText('employee_name') }}</p>
                <div class="user-box d-flex justify-content-between align-items-center"
                  style="margin-bottom: 10px;margin-top: 10px; padding: 2px 15px;">
                  <p>{{ Employee_Name }}</p>
                </div>
                <div style="display: flex;justify-content: space-between;margin-bottom: 10px;">
                  <p>
                    {{ i18ntext.lngText('invoice_no') }} :{{ form.document_no }}
                  </p>
                  <p>
                    {{ i18ntext.lngText('date') }} :{{ formatdatetime(form.created_at) }}
                  </p>
                </div>
                <div class="post-table-path" style="zoom: 110%;">
                  <table class="table list-table">
                    <thead class="post-table-path-thead">
                      <th class="text-left lt-th" style="width: 2em;">{{ i18ntext.lngText('no') }}</th>
                      <th class="text-left lt-th">{{ i18ntext.lngText('item') }}</th>
                      <th class="text-center lt-th" style="width: 140px;">{{ i18ntext.lngText('qty') }}</th>
                      <th class="text-left lt-th">{{ i18ntext.lngText('unittype') }}</th>
                      <th class="text-left lt-th" style="width: 15%;">{{ i18ntext.lngText('total') }}</th>
                    </thead>
                    <tbody>
                      <tr class="recept-body" v-for="(sel, index) in selectProduct">
                        <td scope="row" class="lt-td">{{ index + 1 }}</td>
                        <td scope="row" class="lt-td">{{ sel.description }}</td>
                        <td scope="row" class="text-center lt-td">
                          {{ sel.inventory }}
                        </td>
                        <td scope="row" class="lt-td">{{ sel.unit_code }}</td>
                        <td scope="row" class="lt-td">{{ Number(sel.total_amount).toLocaleString() }} ៛</td>
                      </tr>
                    </tbody>
                  </table>
                </div>
                <div class="right-path-line"></div>
                <div class="right-path-bottom" style="zoom: 80%;">
                  <table id="pos-bottom-table">
                    <tr style="background: rgb(154 218 223 / 51%)">
                      <th>{{ i18ntext.lngText('amount') }}</th>
                      <td> {{ Number(form.amoun).toLocaleString() }} ៛</td>
                    </tr>
                    <tr style="background-color: aliceblue">
                      <th></th>
                      <td>
                        {{ Number(form.total_amount_usd).toLocaleString() }} $
                      </td>
                    </tr>
                    <tr style="background: rgb(154 218 223 / 51%); cursor: pointer">
                      <th>{{ i18ntext.lngText('discount') }}</th>
                      <td>{{ JSON.parse(JSON.stringify(form.discount)) }} %</td>
                    </tr>
                    <tr style="background-color: aliceblue">
                      <th>{{ i18ntext.lngText('exchangerate') }}</th>
                      <td>{{ Number(form.exchane_rate).toLocaleString() }} ៛</td>
                    </tr>
                    <tr style="background: rgb(154 218 223 / 51%); width: 100%">
                      <th>{{ i18ntext.lngText('total_discount') }}</th>
                      <td>{{ Number(form.total_amount).toLocaleString() }} ៛</td>
                    </tr>
                    <tr style="background-color: aliceblue">
                      <th></th>
                      <td>
                        {{  formatPrice(Number(form.total_amount)/ Number(form.exchane_rate)) }} $
                      </td>
                    </tr>
                  </table>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="submit" class="open-button" data-bs-toggle="modal" data-bs-target="#pay1">
            {{ i18ntext.lngText('print') }}
          </button>
        </div>
      </div>
    </div>
  </div>
  <!-- end sale -->
  <div class="modal fade ui-modal" id="pay1" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="payment" aria-hidden="true">
    <div class="modal-dialog " style="max-width: 400px !important;">
      <div class="modal-content ui-dialog" style="overflow-y: scroll !important; max-height: 92vh;">
        <div class="ui-widget-header">
          <p>{{ i18ntext.lngText('Payment') }}</p>
          <span class="ui-icon ui-icon-closethick" data-bs-dismiss="modal" aria-label="Close"
            @click="getdataPos()"></span>
        </div>
        <div class="ui-dialog-content" id="paypos1" style="padding: 15px;">
          <span style="text-transform: uppercase;display: flex; justify-content: center;">{{ company.company_name
          }}</span>

          <div class="Hcard-2">
            <p style="text-align: center;">
              {{ company.company_Address }} <br>
              {{ company.company_Email }} <br>
              {{ company.company_Phone }}
            </p>
          </div>
          <div style="display: grid; grid-template-columns: repeat(2,1fr);">
            <div class="cash-1">
              <tr>
                <td>{{ i18ntext.lngText('cashie') }} :</td>
                <td>{{ Employee_Name }}</td>
              </tr>

            </div>
            <div class="cash-1 d-flex justify-content-end">
              <td>{{ i18ntext.lngText('invoice') }} :</td>
              <td>{{ form.document_no }}</td>
            </div>
            <div class="cash-1">
              <td>{{ i18ntext.lngText('print') }} :</td>
              <td>{{ dateformart1 }}</td>
            </div>
          </div>
          <table id="bd-1" style="width:100%;border-top: 1px solid black;border-bottom: 1px solid black;">
            <tr>
              <th style="text-align: start;">
                {{ i18ntext.lngText('no') }}
              </th>
              <th style="text-align: start;">
                {{ i18ntext.lngText('description') }}
              </th>
              <th style="text-align: start;">
                {{ i18ntext.lngText('type') }}
              </th>
              <th style="text-align: end;">
                {{ i18ntext.lngText('qty') }}
              </th>
            </tr>
            <tr v-for="(sel, index) in selectProduct">
              <td>{{ index + 1 }}</td>
              <td>{{ sel.description }}</td>
              <td>{{ sel.unit_code }}</td>
              <td style="float: right;">{{ sel.inventory }}</td>
            </tr>
          </table>
          <table id="bd-1" style="border-bottom: 1px solid black;width: 100%;">
            <tbody>
              <tr>
                <td style="text-align: start;">
                  ទឹកប្រាក់សរុប (រៀល)
                </td>
                <td style="text-align: end;">
                  {{ formatPrice(form.amoun) }} ៛
                </td>
                <td style="text-align: end; width: 31%;">
                  {{ formatPrice((parseFloat(form.total_amount_usd))) }} $
                </td>
              </tr>
              <tr>
                <td style="text-align: start;">
                  បញ្ចុះតម្លៃ (រៀល)
                </td>
                <td style="text-align: end;">
                  {{ form.discount }} %
                </td>
                <td style="text-align: end; width: 31%;">
                  {{ formatPrice(form.discount) }}
                </td>
              </tr>
              <tr>
                <td style="text-align: start;">
                  ទឹកប្រាក់ត្រូវបង់ (រៀល)
                </td>
                <td style="text-align: end;">
                  {{ formatPrice(form.total_amount) }} ៛
                </td>
                <td style="text-align: end; width: 31%;">
                  {{ formatPrice(form.total_amount_usd) }} $
                </td>
              </tr>
              <tr>
                <td style="text-align: start;">
                  លុយអាប់ (រៀល)
                </td>
                <td style="text-align: end;">
                  {{ formatPrice(form.change_amount) }} ៛
                </td>
                <td style="text-align: end; width: 31%;">
                  {{ formatPrice(form.change_amount_usd) }} $
                </td>
              </tr>
            </tbody>
          </table>
          <table id="bd-1" style="border-bottom: 1px solid black;width: 100%;">
            <tbody>
              <tr>
                <td style="text-align: start;font-weight: bold;font-size: 12px;">
                  អត្រាប្តូរប្រាក់:1$={{ formatPrice(form.exchane_rate) }}(រៀល)
                </td>
                <td>
                </td>
                <td style="font-size: 12px; font-weight: bold; text-align: end; width: 37%; text-decoration: underline;">
                  ឈ្មោះអ្នកទទួល
                </td>
              </tr>
              <tr>
                <td></td>
                <td>
                </td>
                <td style="text-align: end; width: 31%;">
                  <span>- </span>{{ Employee_Name }}
                </td>
              </tr>
            </tbody>
          </table>
          <div class="foot">
            <div class="sinh-2">
              <tr>
                <p style="text-align: center;">
                  Website: Lskycambo.com <br>
                  <!-- Tel: 016 587 062 -->
                </p>
              </tr>
            </div>
            <p style="font-weight: bold;">សូមអរគុណ</p>
          </div>

        </div>
        <div class="modal-footer">
          <a @click="printDivContent()" class="btn-purchase btn-light text-capitalize border-0"
            data-mdb-ripple-color="dark"><i class="fas fa-print text-primary"></i> {{ i18ntext.lngText('print') }}</a>
        </div>
      </div>
    </div>
  </div>

  <Footer />
  <UserInfo />
</template>
  
<script>
import axios from "axios";
import { useCurrentTime } from "../../componentJS/date";
import pagination from "laravel-vue-pagination";
import print from 'vue3-print-nb'
import Logo from "../logo.vue"
import Footer from "../footer.vue"
import moment from "moment";
import Auth from "../../auth/Auth";
import Header from "../Header.vue";
import i18n from "../../i18n/i18n";
import UserInfo from "../UserInfo.vue";
export default {
  components:
  {
    Header, Logo, pagination, Footer,UserInfo
  },

  directives: {
    print
  },

  setup() {
    const { currentTime } = useCurrentTime();
    return { currentTime };
  },

  data() {
    return {
      i18ntext: i18n,
      Categories: [],
      company: [],
      form: {
        id: "",
        user_name: "",
        document_no: "",
        document_type: "",
        closeshift_id: "",
        description: "",
        total_amount_usd: "",
        total_amount: "",
        change_amount: "",
        paymeny_method: "",
        change_amount_usd: "",
        type: "",
        total_receipts: "",
        total_receipt_usd: "",
        discount: "",
        curency_code: "",
        exchane_rate: "",
        statue: "",
        created_by: "",
        updated_by: "",
        created_at: "",
      },
      search: {
        name: "",
        start: "",
        end: "",
      },
      Employee_Name: Auth.user.user_name,
      selectProduct: [],
      getamount: 0,
      total_amountusd: 0,
      pospayment: {
        amount: 0,
        amount2: 0,
        amount_kh: 0,
        totalpay: 0,
        discount: 0,
        changeUS: 0,
        changeKH: 0,
        payOne: '',
        payTwo: '',
        amountUSD: 0,
        exchange_rate: 0,
        paymeny_method: 'Cash'
      },
      saleDetails : [],
      number_page : 1,
    };
  },

  mounted() {
    this.selectdate = moment(new Date()).format('YYYY-MM-DD');
    this.selectmoth = moment(new Date()).format('YYYY-MM');
    this.selectyear = moment(new Date()).format('YYYY');
    console.log(this.selectdate);
    if(this.$route.query.page != 1){
        this.number_page = this.$route.query.page 
        axios.post("/api/v1/pos/getsale/"+Auth.user.id+"?page=" + this.number_page,this.search).then((res) => {
        this.Categories = res.data.data;
        this.saleDetails = res.data.print
      });
    }else{
      this.getsale();
    }
    
    this.getcompany();
  },

  methods: {
    isEmpty(){
      if(this.search.name == ''){
        this.getsale()
      }
    },
    formatyear() {
      document.querySelector("input[type=number]")
        .oninput = e => console.log(e.target.valueAsNumber)
    },
    getsale(page = 1) {
      this.$router.push({name: 'saledetail', query: {page : page}})
      axios.post("/api/v1/pos/getsale/"+Auth.user.id+"?page=" + page,this.search).then((res) => {
        this.Categories = res.data.data;
        this.saleDetails = res.data.print
      });
    },
   
    myclear(label) {
      if (label == 'name') {
        this.search = {
          name: this.search.name,
          start: "",
          end: "",
        }
      }
      else if (label == 'start') {
        this.search = {
          name: "",
          start: this.search.start,
          end: "",
        }
      }
      else if (label == 'end') {
        this.search = {
          name: "",
          start: this.search.start,
          end: this.search.end,
        }
      }
    },
    saledetail(data) {
      $('#closeshift').modal('show');
      this.form = data
      axios.post("api/v1/pos/detailsaleshif", data)
        .then(res => {
          console.log(res.data);
          this.selectProduct = res.data
        })
    },

    formatPrice(value, cur) {
      if (cur == "KHR") cur = "r";
      try {
        var formatter = new Intl.NumberFormat("en-US", {
          style: "currency",
          currency: cur,
          minimumFractionDigits: 2,
        });
        return formatter.format(value);
      } catch (error) {
        var formatter = new Intl.NumberFormat("en-US", {
          minimumFractionDigits: 2,
        });
        return formatter.format(value);
      }
    },
    getcompany() {
      axios.get("/api/v1/getSetup/")
        .then((response) => {
          this.company = response.data;
          this.dateformart = moment(new Date()).format('DD-MM-YYYY');
          this.dateformart1 = moment(new Date()).format('YYYY-MM-DD hh:mm:ss');
        });
    },
    formatdatetime(dateform) {
      try {
        return  moment(dateform).format('DD-MM-YYYY');
      } catch (error) {
        return dateform;
      }
    },
    async printDivContent() {
      var contentOfDiv = document.getElementById("paypos1").outerHTML;
      var newWin = window.open('invoice', '', 'height=auto, width=400');
      await newWin.document.write('<title>Print Content of Div element by  using Javascript</title>');
      await newWin.document.write('<link rel="stylesheet" href="css/style.css">');
      await newWin.document.write('<link rel="stylesheet" href="css/pstyle.css">');
      await newWin.document.write('<link rel="stylesheet" href="css/body_invoice.css">');
      await newWin.document.write(contentOfDiv);
      newWin.document.close();
      await newWin.print();
      newWin.window.close();
      this.getdataPos();
    },
  },
};
</script>